/*
 * 
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 */

/*
 * $Id: DataListBean.java 62525 2011-04-15 12:14:31Z dougd $
 */

package com.sun.ts.tests.jsf.spec.render.datatable;

import java.util.ArrayList;
import java.util.List;

public class DataListBean {

    private List<DataBean> dataList = new ArrayList<DataBean>();

    public DataListBean() {
        // default values
        dataList.add(new DataBean("Anna", 'f', (short) 28));
        dataList.add(new DataBean("Cort", 'm', (short) 7));
        dataList.add(new DataBean("Cade", 'm', (short) 4));
    }

    /**
     * @return the dataList
     */
    public List<DataBean> getDataList() {
        return dataList;
    }

    /**
     * @param dataList the dataList to set
     */
    public void setDataList(List<DataBean> dataList) {
        this.dataList = dataList;
    }
}
